package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentAttendance;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/11/25
 */
public class StudentAttendanceDto {

    private String signInLongitudeLatitude;

    private Integer update;

    private Long courseScheduleId;

    @ApiModelProperty(value = "签退附件")
    private String signOutAttachments;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    private String deviceNum;

    private List<StudentAttendance> studentAttendances;

    public String getDeviceNum() {
        return deviceNum;
    }

    public void setDeviceNum(String deviceNum) {
        this.deviceNum = deviceNum;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getUpdate() {
        return update;
    }

    public void setUpdate(Integer update) {
        this.update = update;
    }

    public String getSignInLongitudeLatitude() {
        return signInLongitudeLatitude;
    }

    public void setSignInLongitudeLatitude(String signInLongitudeLatitude) {
        this.signInLongitudeLatitude = signInLongitudeLatitude;
    }

    public List<StudentAttendance> getStudentAttendances() {
        return studentAttendances;
    }

    public void setStudentAttendances(List<StudentAttendance> studentAttendances) {
        this.studentAttendances = studentAttendances;
    }

    public String getSignOutAttachments() {
        return signOutAttachments;
    }

    public void setSignOutAttachments(String signOutAttachments) {
        this.signOutAttachments = signOutAttachments;
    }
}
